Upstream information

CVE-2017-18199 at MITRE

Description

realloc_symlink in rock.c in GNU libcdio before 1.0.0 allows remote attackers to cause a denial of service (NULL Pointer Dereference) via a crafted iso file.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 3.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1082821 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • libcdio >= 0.94-6.3.1
  • libcdio++0 >= 0.94-6.3.1
  • libcdio-devel >= 0.94-6.3.1
  • libcdio16 >= 0.94-6.3.1
  • libiso9660-10 >= 0.94-6.3.1
  • libudf0 >= 0.94-6.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-1512
openSUSE Leap 15.0
  • cdio-utils >= 0.94-lp150.5.3.1
  • cdio-utils-debuginfo >= 0.94-lp150.5.3.1
  • cdio-utils-debugsource >= 0.94-lp150.5.3.1
  • libcdio >= 0.94-lp150.5.3.1
  • libcdio++0 >= 0.94-lp150.5.3.1
  • libcdio++0-32bit >= 0.94-lp150.5.3.1
  • libcdio++0-32bit-debuginfo >= 0.94-lp150.5.3.1
  • libcdio++0-debuginfo >= 0.94-lp150.5.3.1
  • libcdio-debugsource >= 0.94-lp150.5.3.1
  • libcdio-devel >= 0.94-lp150.5.3.1
  • libcdio16 >= 0.94-lp150.5.3.1
  • libcdio16-32bit >= 0.94-lp150.5.3.1
  • libcdio16-32bit-debuginfo >= 0.94-lp150.5.3.1
  • libcdio16-debuginfo >= 0.94-lp150.5.3.1
  • libiso9660-10 >= 0.94-lp150.5.3.1
  • libiso9660-10-32bit >= 0.94-lp150.5.3.1
  • libiso9660-10-32bit-debuginfo >= 0.94-lp150.5.3.1
  • libiso9660-10-debuginfo >= 0.94-lp150.5.3.1
  • libudf0 >= 0.94-lp150.5.3.1
  • libudf0-32bit >= 0.94-lp150.5.3.1
  • libudf0-32bit-debuginfo >= 0.94-lp150.5.3.1
  • libudf0-debuginfo >= 0.94-lp150.5.3.1
Patchnames:
openSUSE-2018-857


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libcdio Unsupported
SUSE Linux Enterprise Desktop 12 SP3 libcdio In progress
SUSE Linux Enterprise Module for Desktop Applications 15 GA libcdio Released
SUSE Linux Enterprise SDK 11 SP4 libcdio Affected
SUSE Linux Enterprise SDK 12 SP2 libcdio Unsupported
SUSE Linux Enterprise SDK 12 SP3 libcdio In progress
SUSE Linux Enterprise Server 11 SP3 LTSS libcdio Affected
SUSE Linux Enterprise Server 11 SP4 libcdio Affected
SUSE Linux Enterprise Server 12 GA LTSS libcdio Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libcdio Affected
SUSE Linux Enterprise Server 12 SP2 libcdio Unsupported
SUSE Linux Enterprise Server 12 SP3 libcdio In progress
SUSE Linux Enterprise Workstation Extension 12 SP2 libcdio Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP3 libcdio In progress